gda-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details.

Quark list (lists of KEY == VALUES's).

Parameter lists are used primary in the parsing and creation of connection strings.

GLib.Opaque GLib.IWrapper
- Method
  System.Void `` ``

  Adds new key->value pairs from the given string.

  a a

  If cleanup is set to true, the previous contents will be discarded before adding the new pairs.

- Method
  System.String ``

  Searches for the value identified by name in the Gda.QuarkList.

  a a , the value associated with the given key if found, or null if not found. To be added
- Method
  System.Void ``

  Removes an entry from the QuarkList, given its name.

  a To be added
- Method
  System.Void

  Releases all memory occupied by the Gda.QuarkList.

  To be added
- Constructor
  To be added
  a
  a
  To be added
- Constructor

  Default constructor.

  a

  Creates a new GdaQuarkList, which is a set of key->value pairs, very similar to GLib's GHashTable, but with the only purpose to make easier the parsing and creation of data source connection strings.

- Constructor

  Creates a new GdaQuarkList given a connection string.

  a
  a
  To be added